<?php
##################################################################################
# sigmund.php by John Reeve (c)2000
#
#  
# Use the following syntax to generate your own GET queries using the <IMG> tag:
# sigmund.php?string=[string]&r=[0-255]&g=[0-255]&b=[0-255]&kern=[kern]&size=[5|5b]
# 
# The string variable should be URL encoded or the text may not display correctly.
#
# To use the this file within a PHP program, include it and use calls to the individual
# font functions. 
# 1. 5 pixel: sigmund5pxCondensed(string, kern, r, g, b);
# 2. 5 pixel bold: sigmund5pxCondensedBold(string, kern, r, g, b);
#
#
#########################################################################################

include("sigmund5pxNormal.php");
include("sigmund5pxBold.php");
include("sigmund5pxCondensed.php");
include("sigmund5pxCondensedBold.php");

#####################################################################################
# Determine which type size to use based on size variable.
# This section is used only by GET queries 
#####################################################################################

if ($string == NULL) { $string = "Error: string not supplied"; }

$string = stripslashes($string); //this is only necessary if 'magic_quotes' are enabled in php.ini

//convert each hexadecimal value to a regular integer
$r = base_convert($r, 16, 10);
$g = base_convert($g, 16, 10);
$b = base_convert($b, 16, 10);

if ($kern == NULL) { $kern = 1; } //default kerning if not explicitly set
else if ($kern > 20) { $kern = 20; }

if ($size == "5n" || $size == "5N") { sigmund5pxNormal($string, $kern, $r, $g, $b); } //5px normal
else if ($size == "5b" || $size == "5B") { sigmund5pxBold($string, $kern, $r, $g, $b); } //5px bold	
else if ($size == "5c" || $size == "5C") { sigmund5pxCondensed($string, $kern, $r, $g, $b); } //5px condensed
else if ($size == "5cb" || $size == "5CB") { sigmund5pxCondensedBold($string, $kern, $r, $g, $b); } //5px condensed bold
else { sigmund5pxNormal($string, $kern, $r, $g, $b); } //default to 5px normal
		
########################################################################
# sigmund(string,
#		   character array,
#		   character width array,
#		   cap height,
#		   kerning
# This is the workhorse function that draws all the characters.
# It is called at the end of each font function.
########################################################################

function sigmund($string, $characters, $charWidth, $capHeight, $kern, $r, $g, $b)
{

$stringLength = strlen($string); //find out string length

//This loop calculates the width of the string based on the characters
for ($i = 0, $width = 0; $i < $stringLength; $i++)
{
   $char = substr($string, $i, 1);
   $width = $width + $charWidth[$char] + $kern;  
}

$image = ImageCreate($width,$capHeight); //create image size

$foreground = ImageColorAllocate($image,$r,$g,$b); 
$trans = ImageColorAllocate($image,1,1,1); //use a non-websafe color for transparent pixel to avoid conflicts

imageFill($image,0,0,$trans); //create transparent background

ImageColorTransparent($image, $trans); //create transparent pixels

$xRunner = 0; //marks x position during printout

for ($i = 0; $i < $stringLength; $i++) //loop through the string and draw each character
{
   $char = substr($string, $i, 1);
   
	foreach($characters[$char] as $coord) //draw each pixel
	{
   		list($x, $y) = split(",", $coord);
   		$x += $xRunner;
   		imageSetPixel($image, $x, $y, $foreground);
	}
		$xRunner = $xRunner + $charWidth[$char] + $kern; //move along to the start of the next character
}

if (ImageTypes() & IMG_GIF) 
{
    Header("Content-type: image/gif");
    ImageGif($image);
}

else if (ImageTypes() & IMG_PNG) 
{
    Header("Content-type: image/png");
    ImagePNG($image);
}

Imagedestroy($image);

}

?>
