<?php

########################################################################
#
# This function displays the 5 pixel condensed version of the typeface
#
# sigmund5pxCondensed(string,
#            kern
#            red, green, blue //font color		   
#		   
#
# 5px condensed
########################################################################

function sigmund5pxCondensed($string, $kern, $r, $g, $b)
{
//array of character coordinates
$characters = array(
   "A" => array("0,1", "0,2", "0,3", "0,4", "1,0", "1,2", "2,0", "2,2", "3,1", "3,2", "3,3", "3,4"),
   "B" => array("0,0", "0,1", "0,2", "0,3", "0,4", "1,0", "1,2", "1,4", "2,0", "2,2", "2,4", "3,1", "3,3"),
   "C" => array("0,1", "0,2", "0,3", "1,0", "1,4", "2,0", "2,4", "3,1", "3,3"),
   "D" => array("0,0", "0,1", "0,2", "0,3", "0,4", "1,0", "1,4", "2,0", "2,4", "3,1", "3,2", "3,3"),
   "E" => array("0,0", "0,1", "0,2", "0,3", "0,4", "1,0", "1,2", "1,4", "2,0", "2,4"),
   "F" => array("0,0", "0,1", "0,2", "0,3", "0,4", "1,0", "1,2", "2,0"),
   "G" => array("0,1", "0,2", "0,3", "1,0", "1,4", "2,0", "2,2", "2,4", "3,0", "3,2", "3,3", "3,4"),
   "H" => array("0,0", "0,1", "0,2", "0,3", "0,4", "1,2", "2,2", "3,0", "3,1", "3,2", "3,3", "3,4"),
   "I" => array("0,0", "0,4", "1,0", "1,1", "1,2", "1,3", "1,4", "2,0", "2,4"),
   "J" => array("0,3", "1,4", "2,4", "3,0", "3,1", "3,2", "3,3"),
   "K" => array("0,0", "0,1", "0,2", "0,3", "0,4", "1,2", "2,1", "2,3", "3,0", "3,4"),
   "L" => array("0,0", "0,1", "0,2", "0,3", "0,4", "1,4", "2,4"),
   "M" => array("0,0", "0,1", "0,2", "0,3", "0,4", "1,1", "2,2", "3,1", "4,0", "4,1", "4,2", "4,3", "4,4"),
   "N" => array("0,0", "0,1", "0,2", "0,3", "0,4", "1,1", "2,2", "3,0", "3,1", "3,2", "3,3", "3,4"),
   "O" => array("0,1", "0,2", "0,3", "1,0", "1,4", "2,0", "2,4", "3,1", "3,2", "3,3"),
   "P" => array("0,0", "0,1", "0,2", "0,3", "0,4", "1,0", "1,2", "2,0", "2,2", "3,1"),
   "Q" => array("0,1", "0,2", "0,3", "1,0", "1,4", "2,0", "2,3", "2,4", "3,1", "3,2", "3,4"),
   "R" => array("0,0", "0,1", "0,2", "0,3", "0,4", "1,0", "1,2", "2,0", "2,2", "2,3", "3,1", "3,4"),
   "S" => array("0,1", "1,0", "1,2", "1,4", "2,0", "2,2", "2,4", "3,3"),
   "T" => array("0,0", "1,0", "1,1", "1,2", "1,3", "1,4", "2,0"),
   "U" => array("0,0", "0,1", "0,2", "0,3", "1,4", "2,4", "3,0", "3,1", "3,2", "3,3"),
   "V" => array("0,0", "0,1", "1,2", "1,3", "2,4", "3,2", "3,3", "4,0", "4,1"),
   "W" => array("0,0", "0,1", "0,2", "0,3", "1,4", "2,2", "2,3", "3,4", "4,0", "4,1", "4,2", "4,3"),
   "X" => array("0,0", "0,1", "0,3", "0,4", "1,2", "2,0", "2,1", "2,3", "2,4"),
   "Y" => array("0,0", "0,1", "1,2", "1,3", "1,4", "2,0", "2,1"),
   "Z" => array("0,0", "0,3", "0,4", "1,0", "1,2", "1,4", "2,0", "2,1", "2,4", "3,0", "3,4"),
   //begin numeric characters
   " " => array(),
   "1" => array("0,1", "0,4", "1,0", "1,1", "1,2", "1,3", "1,4", "2,4"),
   "2" => array("0,1", "0,4", "1,0", "1,3", "1,4", "2,0", "2,2", "2,4", "3,1", "3,4"),
   "3" => array("0,0", "0,4", "1,0", "1,2", "1,4", "2,0", "2,1", "2,2", "2,4", "3,0", "3,3"),
   "4" => array("0,2", "1,1", "1,2", "2,0", "2,1", "2,2", "2,3", "2,4", "3,2"),
   "5" => array("0,0", "0,1", "0,2", "0,4", "1,0", "1,2", "1,4", "2,0", "2,2", "2,3"),
   "6" => array("0,1", "0,2", "0,3", "1,0", "1,2", "1,4", "2,0", "2,2", "2,4", "3,3"),
   "7" => array("0,0", "1,0", "1,3", "1,4", "2,0", "2,1", "2,2"),
   "8" => array("0,1", "0,3", "1,0", "1,2", "1,4", "2,0", "2,2", "2,4", "3,1", "3,3"),
   "9" => array("0,1", "1,0", "1,2", "1,4", "2,0", "2,2", "2,4", "3,1", "3,2", "3,3"),
   "0" => array("0,1", "0,2", "0,3", "1,0", "1,4", "2,1", "2,2", "2,3"),
   "!" => array("0,0", "0,1", "0,2", "0,4"),
   "@" => array("0,1", "0,2", "0,3", "1,0", "1,4", "2,0", "2,1", "2,2", "2,4", "3,0", "3,2", "3,4", "4,1", "4,2"),
   "#" => array("0,1", "0,3", "1,0", "1,1", "1,2", "1,3", "1,4", "2,1", "2,3", "3,0", "3,1", "3,2", "3,3", "3,4", "4,1", "4,3"),
   "$" => array("0,1", "1,0", "1,2", "1,4", "2,0", "2,1", "2,2", "2,3", "2,4", "3,0", "3,2", "3,4", "4,3"),
   "%" => array("0,0", "0,1", "0,4", "1,0", "1,1", "1,3", "2,2", "3,1", "3,3", "3,4", "4,0", "4,3", "4,4"),
   "^" => array("0,1", "1,0", "2,1"),
   "&" => array("0,1", "0,3", "1,0", "1,2", "1,4", "2,1", "2,3", "3,4"),
   "*" => array("0,0", "0,1", "1,0", "1,1"),
   "(" => array("0,1", "0,2", "0,3", "1,0", "1,4"),
   ")" => array("0,0", "0,4", "1,1", "1,2", "1,3"),
   "-" => array("0,2", "1,2", "2,2"),
   "_" => array("0,4", "1,4", "2,4", "3,4"),
   "=" => array("0,1", "0,3", "1,1", "1,3", "2,1", "2,3"),
   "+" => array("0,2", "1,1", "1,2", "1,3", "2,2"),
   "[" => array("0,0", "0,1", "0,2", "0,3", "0,4", "1,0", "1,4"),
   "]" => array("0,0", "0,4", "1,0", "1,1", "1,2", "1,3", "1,4"),
   "{" => array("0,2", "1,0", "1,1", "1,3", "1,4", "2,0", "2,4"),
   "}" => array("0,0", "0,4", "1,0", "1,1", "1,3", "1,4", "2,2"),
   "/" => array("0,3", "0,4", "1,2", "2,0", "2,1"),
  "\\" => array("0,0", "0,1", "1,2", "2,3", "2,4"),
   "|" => array("0,0", "0,1", "0,2", "0,3", "0,4"),
   "'" => array("0,0", "0,1"),
  "\"" => array("0,0", "0,1", "2,0", "2,1"),
   ">" => array("0,0", "0,4", "1,1", "1,3", "2,2"),
   "<" => array("0,2", "1,1", "1,3", "2,0", "2,4"),
   "." => array("0,4"),
   "," => array("0,4", "1,3"),
   "?" => array("0,0", "1,0", "1,2", "1,4", "2,1"),
   ":" => array("0,1", "0,3"),
   ";" => array("0,4", "1,1", "1,3"),
   "~" => array("0,2", "1,1", "2,1", "3,2", "4,2", "5,1"),
   "`" => array("0,0", "1,1")
   );

   //this array establishes the width of each character
$charWidth = array(
   "A" => 4,
   "B" => 4,
   "C" => 4,
   "D" => 4,
   "E" => 3,
   "F" => 3,
   "G" => 4,
   "H" => 4,
   "I" => 3,
   "J" => 4,
   "K" => 4,
   "L" => 3,
   "M" => 5,
   "N" => 4,
   "O" => 4,
   "P" => 4,
   "Q" => 4,
   "R" => 4,
   "S" => 4,
   "T" => 3,
   "U" => 4,
   "V" => 5,
   "W" => 5,
   "X" => 3,
   "Y" => 3,
   "Z" => 4,
   //numeric characters go below
   " " => 3, //space character
   "1" => 3,
   "2" => 4,
   "3" => 4,
   "4" => 4,
   "5" => 3,
   "6" => 4,
   "7" => 3,
   "8" => 4,
   "9" => 4,
   "0" => 3,
   "!" => 1,
   "@" => 5,
   "#" => 5,
   "$" => 5,
   "%" => 5,
   "^" => 3,
   "&" => 4,
   "*" => 2,
   "(" => 2,
   ")" => 2,
   "-" => 3,
   "_" => 4,
   "=" => 3,
   "+" => 3,
   "[" => 2,
   "]" => 2,
   "{" => 3,
   "}" => 3,
   "/" => 3,
  "\\" => 3,
   "|" => 1,
   "'" => 1,
  "\"" => 3,
   ">" => 3,
   "<" => 3,
   "." => 1,
   "," => 2,
   "?" => 3,
   ":" => 1,
   ";" => 2,
   "~" => 6,
   "`" => 2
   );

$capHeight=5; //establish the font height for this typeface

$string = strtoupper($string); //string input -> uppercase

sigmund($string, $characters, $charWidth, $capHeight, $kern, $r, $g, $b);

}
?>